Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.associations
Interface AssociationMatchFilter

    public interface AssociationMatchFilter

The `AssociationMatchFilter` defines the method used by an object to check if `AssociationDescriptor` requirements can be met by a `ServiceElement`. Entities requiring the application of specific criteria to determine association matching (in the case of colocation, opposed or isolated association types) should construct an implementation of this interface that defines the additional criteria.

The filtering mechanism provided by implementations of this interface is particularly useful to entities that wish to extend the capabilities of the standard association matching scheme. For example, because association matching does not allow one to match services based on specific attribute values, this additional matching mechanism can be exploited by the entity to match on specific service configuration attributes.

Concrete implementations of this interface are obtained during the provisioning of services and declared as part of the `<Association>` element.

`<Association> Name="..." Type="...">
<management filter="foo.bar.Baz"/>
</Association>
`

Method Summary
`boolean` | `check(AssociationDescriptor descriptor, ServiceElement element)` Defines the implementation of association matching criteria.

Method Detail

### check

    boolean check(AssociationDescriptor descriptor,
                  ServiceElement element)

  Defines the implementation of association matching criteria. Implementations of this method should expect that neither of the parameters passed will contain `null` references

  Parameters:
    `descriptor` - The `AssociationDescriptor` that defines the association.
    `element` - The `ServiceElement` that will be checked
  Returns:
    `true` if the `ServiceElement` matches the requirements of the `AssociationDescriptor`, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.